/* 
(C) OOMusou 2010 http://oomusou.cnblogs.com

Filename    : mux_case_tb.v
Simulator   : NC-Verilog 5.4 & Debussy 5.4 v9 + Quartus II 8.1
Description : mux by case testbench
Release     : Aug.30,2010 1.0
*/                      

`timescale 1 ns/1 ns
`include "mux_case.v"

module mux_case_tb;

reg a_i, b_i, c_i, d_i;
reg [1:0] sel_i;
wire q_o;

initial begin
  fork   
    #0  a_i   = 1'b0;
        b_i   = 1'b1;
        c_i   = 1'b0;
        d_i   = 1'b1;
        sel_i = 2'b00;
       
    #10 sel_i = 2'b01;
    #20 sel_i = 2'b10;
    #30 sel_i = 2'b11;
    #40 sel_i = 2'b00;
    #50 $finish;
  join
end

initial begin
  $fsdbDumpfile("mux_case.fsdb");
  $fsdbDumpvars(0, mux_case_tb);
end

mux_case u_mux_case (
  .a_i  (a_i),
  .b_i  (b_i),
  .c_i  (c_i),
  .d_i  (d_i),
  .sel_i(sel_i),
  .q_o  (q_o)
);

endmodule